<?xml version='1.0' encoding='utf-8'?>

<%@ page pageEncoding="UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>


<frogans-fsdl version='3.0'>

	<!-- This FSDL document was generated using Java. It is part of a sample
		 Frogans site provided by the OP3FT to help you create your
		 own dynamic Frogans sites based on the Java FsdlRequest parser.

		 You are free to use, copy, distribute, modify, adapt, or share this
		 sample Frogans site. -->


	<!-- Result slide -->


	<!-- Background -->

	<resdraw resid='background' size='640,480' figure='rect' stroke='off' color='#202020'/>

	<layer layerid='layer1' leapout='all' resref='background' align='left-top' pos='0,0' combine='add'/>

	<resdraw resid='edging' size='620,460' figure='rect' stroke='on' thick='10'/>

	<layer layerid='layer2' leapout='all' resref='edging' align='left-top' pos='10,10' combine='cutout'/>


	<!-- Home button -->

	<file fileid='home_slide' nature='static' name='/home.fsdl'/>

	<respath resid='home_not_selected' size='40,40' crop='auto' stroke='off' spread='on' color='#00C0ff'>
		Ju:0,50; Li:100,0; Li:100,100;
	</respath>

	<respath resid='home_selected' size='40,40' crop='auto' stroke='off' spread='on' color='#40ffff'>
		Ju:0,50; Li:100,0; Li:100,100;
	</respath>

	<button buttonid='button1' goto='slide' fileref='home_slide'>

		<layer layerid='layer3' leapout='lead' resref='home_not_selected' align='left-top' pos='560,35' combine='clip' visible='not-selected'/>

		<layer layerid='layer4' leapout='lead' resref='home_selected' align='left-top' pos='560,35' combine='clip' visible='selected'/>

	</button>


	<!-- Information -->

	<setfont fontid='title'>
		<font scripts='default' pfont='110-1-mono-r' height='16' color='#ff8000'/>
	</setfont>

	<setfont fontid='white'>
		<font scripts='default' pfont='110-1-mono-r' height='9' color='#ffffff'/>
	</setfont>

	<setfont fontid='orange'>
		<font scripts='default' pfont='110-1-mono-r' height='9' color='#ff8000'/>
	</setfont>

	<setfont fontid='yellow'>
		<font scripts='default' pfont='110-1-mono-r' height='9' color='#ffff00'/>
	</setfont>

	<restext resid='info' size='560,420' orientation='h-ttb-ltr' fontref='white' talign='begin'>

		<text fontref='title'>Generated result</text>

		<text>An FSDL-Request document was received by the server with this data:</text>

		<text></text>

		<text fontref='orange'>Wanted: ${fsdlRequestWantedText}</text>

		<text fontref='orange'>Navigation: ${fsdlRequestNavigationText}</text>

		<text fontref='orange'>Session fields count: ${sessionFieldsCount}</text>

<c:if test="${sessionFieldsCount != 0}">
	<c:forEach items="${sessionFieldsList}" var="fields">
		
		<text fontref='yellow'>&#xA0;&#xA0;${fields['key']} => ${fields['value']}</text>
	
	</c:forEach>
</c:if>

		<text fontref='orange'>File fields count: ${fileFieldsCount}</text>

<c:if test="${fileFieldsCount != 0}">
	<c:forEach items="${fileFieldsList}" var="fields">
		
		<text fontref='yellow'>&#xA0;&#xA0;${fields['key']} => ${fields['value']}</text>
	
	</c:forEach>
</c:if>

		<text fontref='orange'>Entry fields count: ${entryFieldsCount}</text>

<c:if test="${entryFieldsCount != 0}">
	<c:forEach items="${entryFieldsList}" var="fields">
		
		<text fontref='yellow'>&#xA0;&#xA0;${fields['key']} => ${fields['value']}</text>
	
	</c:forEach>
</c:if>

	</restext>

	<layer layerid='layer5' leapout='all' resref='info' align='left-top' pos='40,40'  combine='add'/>

</frogans-fsdl>
