/**
 * Java FsdlRequest Parser
 *
 * @version		Alpha 0.3
 *
 * @copyright	1999-2018 OP3FT
 *
 * This package is provided by the OP3FT to help you create your own
 * dynamic Frogans sites.

 * You are free to use, copy, distribute, modify, adapt, or share
 * this file under the terms set forth in the
 * COPYRIGHT-AND-LICENSE.txt file in this archive.
 *
 * For information about the Java FsdlRequest Parser, see the
 * README.txt file in this archive.
 *
 * @file		FsdlRequestKind.java
 *
 */


package fsdl_request_parser;


/**
 * FsdlRequestKind
 *
 **/

public class FsdlRequestKind
{
	/**
	 * Image
	 */
	public static final int IMAGE = 1;

	/**
	 * Returns a text representation
	 *
	 * @param int value
	 * @return String
	 */
	public static String toString(int value)
	{
		if (value == FsdlRequestKind.IMAGE)
		{
			return "image";
		}
		else /* value == FsdlRequestUndefined.FSDL_REQUEST_UNDEFINED */
		{
			return FsdlRequestUndefined.FSDL_REQUEST_UNDEFINED_TOSTRING;
		}
	}
}
