/**
 * Java FsdlRequest Parser
 *
 * @version		Alpha 0.3
 *
 * @copyright	1999-2018 OP3FT
 *
 * This package is provided by the OP3FT to help you create your own
 * dynamic Frogans sites.

 * You are free to use, copy, distribute, modify, adapt, or share
 * this file under the terms set forth in the
 * COPYRIGHT-AND-LICENSE.txt file in this archive.
 *
 * For information about the Java FsdlRequest Parser, see the
 * README.txt file in this archive.
 *
 * @file		FsdlRequestUndefined.java
 *
 */


package fsdl_request_parser;


/**
 * FsdlRequestUndefined
 *
 **/

public class FsdlRequestUndefined
{
	/**
	 * Undefined value.
	 */
	public static final int FSDL_REQUEST_UNDEFINED = -1;

	/**
	 * Text representation for an undefined value.
	 */
	public static final String FSDL_REQUEST_UNDEFINED_TOSTRING = "[undefined]";
}
